<template>
  <div>
    <!-- Content -->
    <section
      id="contact"
      style="padding: 40px;padding-right: 5px;padding-left: 4px;padding-bottom: 90px;"
    >
      <div class="container">
        <form
          id="contactForm"
          style="padding:15px;"
          action="javascript:void();"
          method="post"
        >
          <div
            class="form-row"
            style="margin-left:0px;margin-right:0px;padding:10px;"
          >
            <div class="col-md-6" style="padding-left:20px;padding-right:20px;">
              <fieldset></fieldset>
              <legend>
                <i class="fa fa-info"></i>&nbsp;S.C. SITOS S.R.L.<br />
              </legend>
              <p></p>
              <div class="table-responsive">
                <table class="table">
                  <tbody>
                    <tr>
                      <td><i class="fa fa-building"></i></td>
                      <td>
                        Str. Campului Bl. 4, Sc. B, Ap.12, cod 505200 Loc.
                        Fagaras, Jud. Brasov<br />
                      </td>
                    </tr>
                    <tr>
                      <td><i class="fa fa-map-marker"></i></td>
                      <td>Prins Bernhardweg 27, 7241 DH Lochem</td>
                    </tr>
                    <tr>
                      <td><i class="fa fa-phone"></i></td>
                      <td>0268 - 216317<br />0268 - 210648<br /></td>
                    </tr>
                    <tr>
                      <td><i class="fa fa-envelope"></i></td>
                      <td>office@sitos.ro<br /></td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <div
              class="col-12 col-md-6"
              id="message"
              style="padding-right:20px;padding-left:20px;"
            >
              <fieldset>
                <legend>
                  <i class="fa fa-envelope"></i>&nbsp;Formular de contact
                </legend>
              </fieldset>
              <div class="form-group has-feedback">
                <label for="from_name">Numele complet</label
                ><input
                  class="form-control"
                  type="text"
                  id="from_name"
                  tabindex="-1"
                  name="from_name"
                  required=""
                  placeholder="Prenume si prenume"
                  v-model="nume"
                />
              </div>

              <div class="form-group has-feedback">
                <label for="from_email">Email</label
                ><input
                  class="form-control"
                  type="email"
                  id="from_email"
                  name="from_email"
                  required=""
                  placeholder="Adresa dvs. de e-mail"
                  v-model="email"
                />
              </div>

              <div class="form-row">
                <div class="col-sm-6 col-xl-12">
                  <div class="form-group has-feedback">
                    <label for="from_phone">Titlul mesajului</label
                    ><input
                      class="form-control"
                      type="text"
                      id="from_phone"
                      name="subject"
                      placeholder="Titlul mesajului"
                      v-model="titlu"
                    />
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label for="comments">Mesaj</label
                ><textarea
                  class="form-control"
                  id="comments"
                  name="Comments"
                  placeholder="Introduceți mesajul dvs. aici .."
                  rows="5"
                  v-model="mesaj"
                ></textarea>
              </div>
              <div class="form-group">
                <button
                  class="btn btn-primary active btn-block"
                  style="background-color:#303641;"
                  type="submit"
                  v-on:click="buttonclick()"
                >
                  Trimite&nbsp;<i class="fa fa-chevron-circle-right"></i>
                </button>
              </div>
              <hr />
            </div>
          </div>
        </form>
      </div>
    </section>
  </div>
</template>

<script>
import axios from "axios";

export default {
  data() {
    return {
      nume: "",
      email: "",
      titlu: "",
      mesaj: ""
    };
  },
  methods: {
    buttonclick() {
      axios.post("http://127.0.0.1:8002/api/contact_forms", {
        nume: this.nume,
        email: this.email,
        titlu: this.titlu,
        mesaj: this.mesaj
      });
      this.nume = "";
      this.email = "";
      this.titlu = "";
      this.mesaj = "";
    }
  }
};
</script>

<style lang="scss">
@import "../scss/app.scss";
@import "../scss/contact.scss";
@import "../scss/divider-text-middle.scss";
@import "../scss/features-clean.scss";
@import "../scss/footer.scss";
@import "../scss/home-page.scss";
@import "../scss/lightbox-gallery.scss";
@import "../scss/navigation.scss";
@import "../scss/text-box.scss";
</style>
